@echo off
REM Licensed Materials - Property of IBM Corp.
REM IBM UrbanCode Build
REM IBM UrbanCode Deploy
REM IBM UrbanCode Release
REM IBM AnthillPro
REM (c) Copyright IBM Corporation 2002, 2014. All Rights Reserved.
REM
REM U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
REM GSA ADP Schedule Contract with IBM Corp.

setlocal

cd %~dp0

rem == BEGIN INSTALL MODIFICATIONS =============================================

set AGENT_RELAY_HOME=@AGENT_RELAY_HOME@
set JAVA_OPTS=@JAVA_OPTS@ -Dmin.java.version=1.8.0 -Djava.security.properties=conf\java.security -Dcom.sun.jersey.core.util.ReaderWriter.BufferSize=65536
set JAVA_DEBUG_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,address=10003,server=y,suspend=n
set JAVA_HOME=@JAVA_HOME@

rem == END INSTALL MODIFICATIONS ===============================================

set JAVACMD=%JAVA_HOME%\bin\java
set START_CLASS=com.urbancode.air.agentrelay.Main
set STOP_CLASS=com.urbancode.air.agentrelay.AgentRelayShutdown

rem -- Execute -----------------------------------------------------------------

if ""%1"" == ""run"" goto doRun
if ""%1"" == ""start"" goto doStart
if ""%1"" == ""stop"" goto doStop

echo Usage: agentrelay {run^|start^|stop}
goto end

:doRun
shift
if ""%1"" == ""-debug"" (
    set JAVA_OPTS=%JAVA_OPTS% %JAVA_DEBUG_OPTS%
)
pushd "%AGENT_RELAY_HOME%"
"%JAVACMD%" %JAVA_OPTS% -jar "bin\launcher.jar" "conf\classpath.conf" %START_CLASS%
popd
goto end

:doStart
shift
if ""%1"" == ""-debug"" (
    set JAVA_OPTS=%JAVA_OPTS% %JAVA_DEBUG_OPTS%
)
set ACTION=start
pushd "%AGENT_RELAY_HOME%"
start "AgentRelay" "%JAVACMD%" %JAVA_OPTS% -jar "bin\launcher.jar" "conf\classpath.conf" %START_CLASS%
popd
goto end

:doStop
shift
pushd "%AGENT_RELAY_HOME%"
"%JAVACMD%" %JAVA_OPTS% -jar "bin\launcher.jar" "conf\classpath.conf" %STOP_CLASS%
popd
goto end

:end

endlocal
