@echo off
REM Licensed Materials - Property of IBM Corp.
REM IBM UrbanCode Build
REM IBM UrbanCode Deploy
REM IBM UrbanCode Release
REM IBM AnthillPro
REM (c) Copyright IBM Corporation 2002, 2014. All Rights Reserved.
REM
REM U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
REM GSA ADP Schedule Contract with IBM Corp.

setlocal

rem == BEGIN INSTALL MODIFICATIONS =============================================

set AGENT_RELAY_HOME=@AGENT_RELAY_HOME@
set ARCH=@ARCH@
set JAVA_OPTS=@JAVA_OPTS@;-Dcom.sun.jersey.core.util.ReaderWriter.BufferSize=65536
set JAVA_HOME=@JAVA_HOME@

rem == END INSTALL MODIFICATIONS ===============================================

set SRV=%AGENT_RELAY_HOME%\lib\native\windows\%ARCH%\ah3srvc.exe

set AGENT_RELAY_NAME=agentrelay
set DISPLAY_NAME=Agent Relay
set DESCRIPTION=Agent Relay

if ""%1"" == ""install"" goto installService
if ""%1"" == ""remove"" goto removeService
if ""%1"" == ""uninstall"" goto removeService

echo Usage: %AGENT_RELAY_NAME% {install^|remove [servicename]}
goto end

rem -- Remove Service ----------------------------------------------------------

:removeService
set AGENT_RELAY_NAME=%2
"%SRV%" //DS//%AGENT_RELAY_NAME%
goto end

rem -- Install Service ---------------------------------------------------------

:installService
set JVM_DLL=auto
set AGENT_RELAY_NAME=%2
set DISPLAY_NAME=%2 %DISPLAY_NAME%
set DESCRIPTION=%2 %DESCRIPTION%

call :getJvmDll
set SVCPATH=%PATH%;%JVM_BASE%\..
set SVCPATH=%SVCPATH:"=%
set SVCPATH=%SVCPATH:;=';'%
set SVCPATH=%SVCPATH:#='#'%

"%SRV%" //IS//%AGENT_RELAY_NAME% --DisplayName "%DISPLAY_NAME%" --Install "%SRV%"
"%SRV%" //US//%AGENT_RELAY_NAME% --Description "%DESCRIPTION%"

"%SRV%" //US//%AGENT_RELAY_NAME% --Jvm "%JVM_DLL%"
"%SRV%" //US//%AGENT_RELAY_NAME% --JavaHome "%JAVA_HOME%"
"%SRV%" //US//%AGENT_RELAY_NAME% --JvmOptions "%JAVA_OPTS%"

"%SRV%" //US//%AGENT_RELAY_NAME% --Environment "PATH=%SVCPATH%;JAVA_HOME=%JAVA_HOME%"

"%SRV%" //US//%AGENT_RELAY_NAME% --StartMode jvm
"%SRV%" //US//%AGENT_RELAY_NAME% --StartClass com.urbancode.launcher.Launcher
"%SRV%" //US//%AGENT_RELAY_NAME% --StartParams "%AGENT_RELAY_HOME%\conf\classpath.conf;com.urbancode.air.agentrelay.Main"
"%SRV%" //US//%AGENT_RELAY_NAME% --StartPath "%AGENT_RELAY_HOME%"

"%SRV%" //US//%AGENT_RELAY_NAME% --StopMode jvm
"%SRV%" //US//%AGENT_RELAY_NAME% --StopClass com.urbancode.launcher.Launcher
"%SRV%" //US//%AGENT_RELAY_NAME% --StopParams "%AGENT_RELAY_HOME%\conf\classpath.conf;com.urbancode.air.agentrelay.AgentRelayShutdown"
"%SRV%" //US//%AGENT_RELAY_NAME% --StopPath "%AGENT_RELAY_HOME%"

"%SRV%" //US//%AGENT_RELAY_NAME% --LogPath "%AGENT_RELAY_HOME%\var\logs"
"%SRV%" //US//%AGENT_RELAY_NAME% --StdOutput auto
"%SRV%" //US//%AGENT_RELAY_NAME% --StdError auto

"%SRV%" //US//%AGENT_RELAY_NAME% --Classpath "%AGENT_RELAY_HOME%\bin\launcher.jar"

goto end

rem -- Subroutines -------------------------------------------------------------

:getJvmDll
    if exist "%JAVA_HOME%\bin\server\jvm.dll" set JVM_BASE=%JAVA_HOME%\bin\server
    if exist "%JAVA_HOME%\bin\client\jvm.dll" set JVM_BASE=%JAVA_HOME%\bin\client
    if exist "%JAVA_HOME%\bin\j9vm\jvm.dll" set JVM_BASE=%JAVA_HOME%\bin\j9vm
    if exist "%JAVA_HOME%\bin\classic\jvm.dll" set JVM_BASE=%JAVA_HOME%\bin\classic
    if exist "%JAVA_HOME%\bin\default\jvm.dll" set JVM_BASE=%JAVA_HOME%\bin\default
    if exist "%JAVA_HOME%\jre\bin\server\jvm.dll" set JVM_BASE=%JAVA_HOME%\jre\bin\server
    if exist "%JAVA_HOME%\jre\bin\j9vm\jvm.dll" set JVM_BASE=%JAVA_HOME%\jre\bin\j9vm
    if exist "%JAVA_HOME%\jre\bin\classic\jvm.dll" set JVM_BASE=%JAVA_HOME%\jre\bin\classic
    if exist "%JAVA_HOME%\jre\bin\default\jvm.dll" set JVM_BASE=%JAVA_HOME%\jre\bin\default
    set JVM_DLL=%JVM_BASE%\jvm.dll
goto :eof

:end
