@echo off
REM Licensed Materials - Property of IBM Corp.
REM IBM UrbanCode Build
REM IBM UrbanCode Deploy
REM IBM UrbanCode Release
REM IBM AnthillPro
REM (c) Copyright IBM Corporation 2002, 2014, 2016 All Rights Reserved.
REM
REM U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
REM GSA ADP Schedule Contract with IBM Corp.

setlocal

REM ---------------------------------------------------------------------------
REM - This command script silently installs the UrbanCode Deploy Agent Relay.
REM -
REM - A required command-line parameter is a file name that contains the
REM - installation properties.  An optional command-line parameter is "-fips" to
REM - indicate that this installation is FIPS 140-2 compliant, and if specified,
REM - requires a version of IBM Java that supports FIPS.
REM -
REM - See the file, example.agentrelay.install.properties, for example of
REM - installation properties.
REM -
REM - This script creates an output text file, agentrelay-install.log, with the
REM - installation results.
REM - This script returns an exit code of 0 if successful or 1 if failed.
REM ---------------------------------------------------------------------------


set PROP_FILENAME=
set PROP_FILENAME_ARG=
set FIPS_OPT=
if "%1"=="-fips" (
    set FIPS_OPT=-Dcom.ibm.jsse2.usefipsprovider=true
    set PROP_FILENAME=%2
) else (
    if "%2"=="-fips" (
        set FIPS_OPT=-Dcom.ibm.jsse2.usefipsprovider=true
    )
    set PROP_FILENAME=%1
)

REM If the user input properties file was specified, set the cmdline parameter.
REM NOTE: If the user did not specify a properties file, let the install app report the error.
if not "%PROP_FILENAME%"=="" (
    set PROP_FILENAME_ARG=-Duserpropfile=%PROP_FILENAME%
)

if "%JAVA_HOME%"=="" (
    echo "Must set JAVA_HOME environment variable."
    exit /b 1
)

cd %~dp0

set JAVACMD=%JAVA_HOME%/bin/java
"%JAVACMD%" %FIPS_OPT% -Dsilent=true %PROP_FILENAME_ARG% -cp "install\*" org.mozilla.javascript.tools.shell.Main "install\install.js" >agentrelay-install.log 2>&1

exit /b %errorlevel%
